#pragma once

#include "CoreMinimal.h"
#include "HI5Glove/Hi5Glove_C.h"
using namespace HI5Device;
enum EHI5_Pose
{
	Unknown = -1,
	BPose = 0,
	PPose,
	VPose = 4,
};
  class FHI5_Calibration
 {
 public:
 	static void ResetCalibration();
 	static void StartCalibration(EHI5_Pose pose);
 	static CalibrationPose TransferPoseEnum(EHI5_Pose inputPose);
 	static int GetCalibrationProgress(EHI5_Pose pose);
 private:
 	static bool isCalibratingBPose;
 	static bool isCalibratingPPose;
 };