// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include <iostream>
/**
 * 
 */

class TestOptiData
{
public:
	TestOptiData();
	std::string sensor1Identity;
	float sensor1fpos[3];
	float sensor1rot[4];
	std::string sensor2Identity;
	float sensor2fpos[3];
	float sensor2rot[4];
	bool isOneLeft;
};
class TestBvhData
{
public:
	int dataCount;    
	float data[160];   
};
class MOTIONCAPTURERUNTIME_API FHi5DataTest
{
public:
	FHi5DataTest();
	~FHi5DataTest();
	void writeOptiData( std::string sensorIdentity,float fpos[3],float frot[4]);
	void writeBindOptic(bool isleft, std::string sensorIdentity);
	void writeBvhData(bool isleft ,int dataCount,float data[]);
	void printleftBvhData();
	void printRightBvhData();
	void printOpticData();
	TestOptiData testOptData;
	TestBvhData leftBvhData;
	TestBvhData rightBvhData;
};
