// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Pawn.h"
#include "Camera/CameraComponent.h"
#include "Hi5Pawn.generated.h"

UCLASS(ClassGroup = MotionCapture,Blueprintable,BlueprintType)
class MOTIONCAPTURERUNTIME_API AHi5Pawn : public APawn
{
	GENERATED_BODY()

public:
	// Sets default values for this pawn's properties
	AHi5Pawn();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:	
	// Called every frame
	virtual void Tick(float DeltaTime) override;

	// Called to bind functionality to input
	virtual void SetupPlayerInputComponent(class UInputComponent* PlayerInputComponent) override;
	UFUNCTION(BlueprintImplementableEvent, Category = "MotionCapture Get Camera")
	UCameraComponent* GetCameraComponentImplementableEvent();
};
